package net.wanji.opt.servicev2.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
* <p>
* 路口问题分析 服务类
* </p>
*
* @author fengyi
* @since 2025-03-13
*/
public interface AnalysisProblemCrossDayService extends IService<AnalysisProblemCrossDay> {

    /**
    * 路口问题分析详情
    * @param id
    * @return
    */
    AnalysisProblemCrossDay info(Long id);

    /**
    * 路口问题分析新增
    * @param param 根据需要进行传值
    * @return
    */
    void add(AnalysisProblemCrossDay param);

    /**
    * 路口问题分析修改
    * @param param 根据需要进行传值
    * @return
    */
    void modify(AnalysisProblemCrossDay param);

    /**
    * 路口问题分析删除(单个条目)
    * @param id
    * @return
    */
    void remove(Long id);

    /**
    * 删除(多个条目)
    * @param ids
    * @return
    */
    void removes(List<Long> ids);

    /**
     * 更新路口区域id
     * @return
     */
    void updateCrossAreaIdByCondition();

    List<AnalysisProblemCrossDay> selectCountByType(Map<String, Object> map);
}
